Name:           myfaces-core
Version:        1.1.5
Release:        %mkrel 1
Summary:        Apache MyFaces Core Project
Group:          Development/Java
License:        ASL 2.0
URL:            http://myfaces.apache.org/
# svn export http://svn.apache.org/repos/asf/myfaces/core/tags/1_1_5 myfaces-core-1.1.5
Source0:        %{name}-%{version}.tar.xz
Patch0:         %{name}-1.1.5-build-fixes.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: myfaces-master

BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: apache-portlet-1.0-api
BuildRequires: aspectj
BuildRequires: easymock
BuildRequires: easymock-classextension
BuildRequires: glassfish-jstl
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-changelog-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-jxr
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: taglist-maven-plugin
BuildRequires: tomcat5-jsp-2.0-api
BuildRequires: tomcat5-servlet-2.4-api
BuildRequires: xml-maven-plugin
BuildRequires: velocity
BuildRequires: xml-commons-apis
BuildRequires: tomcat5-jasper
BuildRequires: servletapi4

# TODO core impl BR
# org.apache.myfaces.shared myfaces-shared-impl 2.0.5

# org.apache.myfaces.maven build-tools 1.0.5
# org.apache.struts.shale shale-test 1.0.2 test

Requires:      apache-commons-beanutils
Requires:      apache-commons-digester
Requires:      apache-commons-logging
Requires:      apache-portlet-1.0-api
Requires:      tomcat5-jsp-2.0-api
Requires:      tomcat5-servlet-2.4-api
Requires:      xml-commons-apis

Requires:      myfaces-master

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
This project is the home of the MyFaces implementation of the
JavaServer Faces 1.2 specification, and consists of an API module
(javax.faces.* classes) and an implementation module
(org.apache.myfaces.* classes).

The MyFaces API Subproject provides a full set of the API interfaces and classes
defined in JSR-127 (see also http://www.jcp.org/en/jsr/detail?id=127).

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p1 

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-rpmbuild \
install:install-file \
-DgroupId=javax.servlet \
-DartifactId=jsp-api \
-Dversion=2.0 \
-Dpackaging=jar \
-Dfile=$(build-classpath tomcat5-jsp-2.0-api) \
-Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild install -Dmaven.test.skip=true -Dmaven.repo.local=$MAVEN_REPO_LOCAL javadoc:aggregate

%install

# Parent POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-project.pom
%add_maven_depmap JPP-%{name}-project.pom

# module JARs and POMs
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/myfaces
for module in api; do
  install -pm 644 ${module}/target/myfaces-${module}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/myfaces/core-${module}.jar
  install -pm 644 ${module}/pom.xml \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.myfaces-core-${module}.pom
%add_to_maven_depmap org.apache.myfaces.core %{name}-${module} %{version} JPP/myfaces core-${module}
%add_maven_depmap JPP.myfaces-core-${module}.pom myfaces/core-${module}.jar

done

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/myfaces/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Oct 29 2011 dmorgan <dmorgan> 1.1.5-1.mga2
+ Revision: 159613
- Fix Build ( from gil )
- Fix buildrequires

  + gil <gil>
    - imported package myfaces-core

